
//#include <stm32f10x_i2c.h>

#ifndef I2C_H_
#define I2C_H_

#include <stm32f10x.h>

//    i2c
//  DMA,   .
//           I2C
void i2c_lowLevel_init(I2C_TypeDef* I2Cx, uint8_t withDMA);

//    i2c .
// buf -    
// nbyte - 
// SlaveAddress - ""  (7-)
// offset - "" (     :)
void i2c_write(I2C_TypeDef* I2Cx, const uint8_t * buf, uint32_t nbyte, uint8_t SlaveAddress, uint16_t offset);

//    i2c .
// buf -   ,     .
// nbyte - 
// SlaveAddress - ""  (7-)
// offset - "" (     :)
// CAR - Current Address Read:
//  0 -   (        )
//  1 -    .       nbyte. (   
//         EEPROM)
void i2c_read(I2C_TypeDef* I2Cx, uint8_t * buf, uint32_t nbyte, uint8_t SlaveAddress, uint16_t offset, uint8_t CAR);

//  i2c_write()
void i2c_dma_write(I2C_TypeDef* I2Cx, const uint8_t * buf, uint32_t nbyte, uint8_t SlaveAddress);

//  i2c_read()
void i2c_dma_read(I2C_TypeDef* I2Cx, uint8_t * buf, uint32_t nbyte, uint8_t SlaveAddress, uint16_t offset);

//   (  )
//
// : 1 -  ,
// 0 -   (,         )
uint8_t i2c_test(I2C_TypeDef* I2Cx, uint8_t SlaveAddress);

#endif
